QGIS Application - Bug report #12253
WMTS When Zoomed Out Crashes QGIS
2015-02-24 07:52 AM - Calvin Metcalf

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 20438
Description

If you add a wmts layer that has a minimum zoom level (aka max scale aka the most zoomed out you can be) and you add it while the map
is zoomed out beyond that level QGIS will try to download all the tiles it can at that max zoom level that it needs to show at the current
zoom which can be a prodigious amount of tiles causing QGIS to crash. Example:

Tile set that goes from zoom 11 to zoom 19, open qgis and try to add the tileset, qgis will try to load gigabytes of data before crashing.

History

#1 - 2015-02-24 07:53 AM - Calvin Metcalf

Note that this is not the case in version 2.0.1 as the default behavior would be to zoom to the minimum zoom

edit: 2.0.1 zoomed based on the provided bounding box

#2 - 2015-02-24 12:20 PM - Calvin Metcalf

after some more testing, ggis does not respect the WGS84BoundingBox or TileMatrixLimits limit of a layer and will gleefully request huge amounts of tiles
way outside these bounding box unless the optional BoundingBox parameter is set (with the appropriate srs) in which case it will respect that.

#3 - 2015-02-24 01:20 PM - Giovanni Manghi
- Category set to Web Services clients/WMS
- Status changed from Open to Feedback

Calvin Metcalf wrote:

Note that this is not the case in version 2.0.1 as the default behavior would be to zoom to the minimum zoom

edit: 2.0.1 zoomed based on the provided bounding box

this means that at least ggis 2.0.1 was behaving the right way?

#4 - 2015-02-24 02:27 PM - Calvin Metcalf

Right I'd describe it as a regression
#5 - 2015-02-24 02:45 PM - Giovanni Manghi
- Priority changed from Normal to Severe/Regression
- Target version set to Version 2.8.1

#6 - 2015-05-10 01:03 AM - Giovanni Manghi
- Target version changed from Version 2.8.1 to Version 2.8.2

#7 - 2015-05-10 01:18 AM - Giovanni Manghi
- Status changed from Feedback to Open

#8 - 2015-05-10 01:20 AM - Jiirgen Fischer
- Target version changed from Version 2.8.2 to Future Release - High Priority

#9 - 2015-06-06 07:53 AM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Open to Closed

seems fixed to me in master, please reopen if necessary.
